curl --request GET \
--url https://api.openworklabs.com/v1/inference-providers/{inferenceProviderId}/oauth/start \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/inference-providers/{inferenceProviderId}/oauth/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/inference-providers/{inferenceProviderId}/oauth/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authUrl": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Begin Google sign-in for a member inference credential
Requires a signed-in user session, not an API key, and an active provider with an effective grant to a member credential set. Specify credentialSetId when multiple sets are available. Creates a ten-minute, single-use PKCE state and returns for Accept: application/json, otherwise redirects to Google. An optional redirectTo must use an allowed web origin or the openwork scheme. The callback browser must independently be signed in to Den as the same user.
Authorizations
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Path Parameters
Den TypeID with 'ipr_' prefix and a 26-character base32 suffix.
30Query Parameters
Den TypeID with 'gcs_' prefix and a 26-character base32 suffix.
301 - 2048Response
Begin Google sign-in for a member inference credential
Was this page helpful?